; Blanka Moves

;-| AI activation |--------------------------------------------------------

[Command]
name = "ai1"
command = U, U, U, D, D, D, D, F, x+a+y, F, B, BF, a+z, D
time = 1

[Command]
name = "ai2"
command = U, U, U, D, D, D, D, F, b+a+y, F, B, BF, a+z, D
time = 1

[Command]
name = "ai3"
command = U, U, U, D, D, D, D, F, c+a+y, F, B, BF, a+z, D
time = 1

[Command]
name = "ai4"
command = U, U, U, D, D, D, D, F, z+a+y, F, B, BF, a+z, D
time = 1

[Command]
name = "ai5"
command = U, U, U, D, D, D, D, F, x+b+y, F, B, BF, a+z, D
time = 1

[Command]
name = "ai6"
command = U, U, U, D, D, D, D, F, x+c+y, F, B, BF, a+z, D
time = 1

[Command]
name = "ai7"
command = U, U, U, D, D, x+a+y, F, B, BF, a
time = 1

[Command]
name = "ai8"
command = U, U, U, D, B, B, U, F, x+a+y, a+z, D
time = 1

[Command]
name = "ai9"
command = U, U, U, F, D, D, F, s+a+y, c, B, BF, a+z, D
time = 1

[Command]
name = "ai10"
command = B, D, UF, F, x+a+b, U, B, BF, a+z, D
time = 1

[Command]
name = "ai11"
command = U, U, U, D, D, D, D, F, x+a+y, F, B, BF, a+c, y
time = 1

[Command]
name = "ai12"
command = U, U, U, D, D, F, x+b, F, B, BF, a, D
time = 1

[Command]
name = "ai13"
command = U, U, U, D, y, z, D, c, x+a+y, F, s, b, a+z, D
time = 1

[Command]
name = "ai14"
command = U, UB, B, b, D, c, D, F, c+x+z, F, B, BF, a+z, D
time = 1

[Command]
name = "ai15"
command = U, U, F, D, c, D, b+x, F, x+a+y, F, B, a+z, D
time = 1

[Command]
name = "ai16"
command = D, DF, F, a, D, D, a, D, F, x+a+y, c, B, BF, a+z, D
time = 1

[Command]
name = "ai17"
command = U, UF, DF, y+x, a, b, c, F, x+a+y, F, B, BF, a+z, D
time = 1

[Command]
name = "ai18"
command = U, U, c, D, D, b, D, F, a
time = 1

;-| Team Super Motions |--------------------------------------------------------
[Command]
name = "Dan"
command = ~D, F, x+a
time = 30

[Command]
name = "Sakura"
command = ~D, F, y+b
time = 30

[Command]
name = "Sakura+Dan"
command = ~D, F, z+c
time = 30

;-| Super Motions |--------------------------------------------------------
[Command]
name = "Electric Rolling Attack"
command = ~D, F, x+y
time = 30

[Command]
name = "Electric Rolling Attack"
command = ~D, F, z+y
time = 30

[Command]
name = "Electric Rolling Attack"
command = ~D, F, x+z
time = 30

[Command] 
name = "Electric Discharge"
command = ~D, B, a+b
time = 30

[Command] 
name = "Electric Discharge"
command = ~D, B, c+b
time = 30

[Command] 
name = "Electric Discharge"
command = ~D, B, a+c
time = 30

[Command] 
name = "Vingança Amazônica"
command = ~D, F, a+b
time = 30

[Command] 
name = "Vingança Amazônica"
command = ~D, F, b+c
time = 30

[Command] 
name = "Vingança Amazônica"
command = ~D, F, a+c
time = 30

[Command] 
name = "Tropical Storm"
command = ~D, D, x+y
time = 30

[Command] 
name = "Tropical Storm"
command = ~D, D, z+y
time = 30

[Command] 
name = "Tropical Storm"
command = ~D, D, x+z
time = 30

[Command] 
name = "Normal Blanka"
command = ~F, D, B, x
time = 15

[Command] 
name = "Normal Blanka"
command = ~F, D, B, a
time = 15

[Command] 
name = "Rage Blanka"
command = ~F, D, B, y
time = 15

[Command] 
name = "Rage Blanka"
command = ~F, D, B, b
time = 15

[Command] 
name = "Raiden Blanka"
command = ~F, D, B, z
time = 15

[Command] 
name = "Raiden Blanka"
command = ~F, D, B, c
time = 15

;-| Special Motions |------------------------------------------------------
[Command]
name = "Weak Rolling Attack"
command = ~B, F, x

[Command]
name = "Medium Rolling Attack"
command = ~B, F, y

[Command]
name = "Strong Rolling Attack"
command = ~B, F, z

[Command]
name = "Weak Backstep Rolling Attack"
command = ~B, F, a

[Command]
name = "Medium Backstep Rolling Attack"
command = ~B, F, b

[Command]
name = "Strong Backstep Rolling Attack"
command = ~B, F, c

[Command]
name = "Weak Vertical Rolling Attack"
command = ~F, D, F, a

[Command]
name = "Medium Vertical Rolling Attack"
command = ~F, D, F, b

[Command]
name = "Strong Vertical Rolling Attack"
command = ~F, D, F, c

[Command]
name = "Weak Denei Grab"
command = ~D, B, x

[Command]
name = "Medium Denei Grab"
command = ~D, B, y

[Command]
name = "Strong Denei Grab"
command = ~D, B, z

[Command]
name = "Thunder 1"
command = ~D, D, x

[Command]
name = "Thunder 2"
command = ~D, D, a

[Command]
name = "Thunder 3"
command = ~D, D, y

[Command]
name = "Thunder 4"
command = ~D, D, b

[Command]
name = "Thunder 5"
command = ~D, D, z

[Command]
name = "Thunder 6"
command = ~D, D, c

[Command]
name = "Weak Electricity"
command = x, x, x
time = 30

[Command]
name = "Medium Electricity"
command = y, y, y
time = 30

[Command]
name = "Strong Electricity"
command = z, z, z
time = 30

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "Runf"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "Runb"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery";Required (do not remove)
command = x+z
time = 1

[Command]
name = "recovery";Required (do not remove)
command = z+y
time = 1

[Command]
name = "Surprise Fwd"
command = a+b

[Command]
name = "Surprise Fwd"
command = a+c

[Command]
name = "Surprise Fwd"
command = c+b

[Command]
name = "Runb"
command = ~B, x+y+z

[Command]
name = "Runf"
command = x+y+z
time = 1

[Command]
name = "Super Jump"
command = a+b+c
time = 1

[Command]
name = "Super Jump"
command = ~D, U
time = 4

[Command]
name = "taunt"
command = s
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "Amazon River"
command = /DF, z
time = 1

[Command]
name = "fy"
command = /$F, y
time = 1

[Command]
name = "fa"
command = /$F, a
time = 1

[Command]
name = "fb"
command = /$F, b
time = 1

[Command]
name = "Throw 1"
command = /$F, x+y
time = 1

[Command]
name = "Throw 1"
command = /$F, x+z
time = 1

[Command]
name = "Throw 1"
command = /$F, y+z
time = 1

[Command]
name = "Throw 2"
command = /$F, a+b
time = 1

[Command]
name = "Throw 2"
command = /$F, a+c
time = 1

[Command]
name = "Throw 2"
command = /$F, b+c
time = 1

[Command]
name = "Surprise Bck"
command = $B, a+b

[Command]
name = "Surprise Bck"
command = $B, a+c

[Command]
name = "Surprise Bck"
command = $B, c+b

[Command]
name = "Runf"
command = $F, x+y+z
time = 1

[Command]
name = "Runb"
command = $B, x+y+z
time = 1

[Command]
name = "Hold_A"
command = /$a
time = 1

[Command]
name = "Hold_B"
command = /$b
time = 1

[Command]
name = "Hold_C"
command = /$c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
[State -1, AI Ativation]
type = VarSet
triggerall = Var(4) = 0
trigger1 = command = "ai1"
trigger2 = command = "ai2"
trigger3 = command = "ai3"
trigger4 = command = "ai4"
trigger5 = command = "ai5"
trigger6 = command = "ai6"
trigger7 = command = "ai7"
trigger8 = command = "ai8"
trigger9 = command = "ai9"
trigger10 = command = "ai10"
trigger11 = command = "ai11"
trigger12 = command = "ai12"
trigger13 = command = "ai13"
trigger14 = command = "ai14"
trigger15 = command = "ai15"
trigger16 = command = "ai16"
trigger17 = command = "ai17"
trigger18 = command = "ai18"
var(4) = 1

;---------------------------------------------------------------------------
; Dan+Sakura+Blanka
[State -1, Dan+Sakura+Blanka]
type = ChangeState
value = 9000
triggerall = command = "Sakura+Dan"
triggerall = StateType != A
triggerall = power >= 3000
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = Var(10) = 0
trigger1 = ctrl

;---------------------------------------------------------------------------
; Dan+Blanka
[State -1, Dan+Blanka]
type = ChangeState
value = 8000
triggerall = command = "Dan"
triggerall = StateType != A
triggerall = power >= 2000
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = Var(10) = 0
trigger1 = ctrl

;---------------------------------------------------------------------------
[State -1, Sakura+Blanka]
type = ChangeState
value = 8500
triggerall = command = "Sakura"
triggerall = StateType != A
triggerall = power >= 2000
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = Var(10) = 0
trigger1 = ctrl

;---------------------------------------------------------------------------
[State -1, Electric Rolling Attack]
type = ChangeState
value = 3000
triggerall = command = "Electric Rolling Attack"
triggerall = power >= (Var(10)=0)*1000
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = MoveContact = 1
trigger4 = Stateno = [600, 650]
trigger5 = MoveContact = 1
trigger5 = Stateno = [800, 850]
trigger6 = Stateno = [150, 155]
trigger6 = Var(3) = 0

;---------------------------------------------------------------------------
[State -1, Electric Discharge]
type = ChangeState
value = 3100
triggerall = command = "Electric Discharge"
triggerall = power >= (Var(10)=0)*1000
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Stateno = [150, 153]
trigger4 = Var(3) = 0

;---------------------------------------------------------------------------
; Normal Blanka
[State -1, Vingança Amazônica]
type = ChangeState
value = 3200
triggerall = command = "Vingança Amazônica"
triggerall = power >= 1000
triggerall = Var(1) = 0
triggerall = Var(3) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Stateno = [150, 153]

;---------------------------------------------------------------------------
; Rage Blanka
[State -1, Vingança Amazônica]
type = ChangeState
value = 3300
triggerall = command = "Vingança Amazônica"
triggerall = power >= (Var(10)=0)*1000
triggerall = Var(1) = 0
triggerall = Var(3) = 1
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]

;---------------------------------------------------------------------------
; Raiden Blanka
[State -1, Vingança Amazônica]
type = ChangeState
value = 3400
triggerall = command = "Vingança Amazônica"
triggerall = power >= 1000
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]

;---------------------------------------------------------------------------
; Transform
;---------------------------------------------------------------------------
; Normal Blanka
[State -1, Normal Blanka]
type = ChangeState
value = 4000
triggerall = command = "Normal Blanka"
triggerall = power >= 1000
triggerall = Var(1) = 0
triggerall = Var(3) != 0
triggerall = Var(6) = 0
triggerall = Var(10) = 0
trigger1 = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = [200, 250]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger2 = MoveContact
trigger3 = Stateno = [400, 450]
trigger3 = MoveContact
trigger4 = Stateno = [1000, 1050]
trigger4 = MoveContact

;---------------------------------------------------------------------------
; Rage Blanka
[State -1, Rage Blanka]
type = ChangeState
value = 4100
triggerall = command = "Rage Blanka"
triggerall = Power >= 1000
triggerall = Var(1) = 0
triggerall = Var(3) != 1
triggerall = Var(6) = 0
trigger1 = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = [200, 250]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger2 = MoveContact
trigger3 = Stateno = [400, 450]
trigger3 = MoveContact
trigger4 = Stateno = [1000, 1050]
trigger4 = MoveContact
trigger5 = Stateno = [150, 153]

;---------------------------------------------------------------------------
; Raiden Blanka
[State -1, Raiden Blanka]
type = ChangeState
value = 4200
triggerall = command = "Raiden Blanka"
triggerall = Power >= 1000
triggerall = Var(1) = 0
triggerall = Var(3) != 2
triggerall = Var(6) = 0
triggerall = Var(10) = 0
trigger1 = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = [200, 250]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger2 = MoveContact
trigger3 = Stateno = [400, 450]
trigger3 = MoveContact
trigger4 = Stateno = [1000, 1050]
trigger4 = MoveContact
trigger5 = Stateno = [150, 153]

;===========================================================================
;---------------------------------------------------------------------------
; Eletric Thunder
;---------------------------------------------------------------------------
; Weak Electricity
[State -1, Weak Electricity]
type = ChangeState
value = 1000
triggerall = command = "Weak Electricity"
triggerall = Var(1) = 0
triggerarl = Var(6) = 0
triggerall = Var(10) = 0
trigger1 = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = [200, 250]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger2 = MoveContact
trigger3 = Stateno = [400, 450]
trigger3 = MoveContact
trigger4 = Stateno = [150, 153]
trigger4 = Var(3) = 0
trigger4 = Power >= 300

;---------------------------------------------------------------------------
; Medium Electricity
[State -1, Medium Electricity]
type = ChangeState
value = 1010
triggerall = command = "Medium Electricity"
triggerall = Var(10) = 0
triggerall = Var(6) = 0
triggerall = Var(1) = 0
trigger1 = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = [200, 250]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger2 = MoveContact
trigger3 = Stateno = [400, 450]
trigger3 = MoveContact
trigger4 = Stateno = [150, 153]
trigger4 = Var(3) = 0
trigger4 = Power >= 350

;---------------------------------------------------------------------------
; Strong Electricity
[State -1, Strong Electricity]
type = ChangeState
value = 1020
triggerall = command = "Strong Electricity"
triggerall = Var(10) = 0
triggerall = Var(6) = 0
triggerall = Var(1) = 0
trigger1 = Statetype != A
trigger1 = ctrl
trigger2 = Stateno = [200, 250]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger2 = MoveContact
trigger3 = Stateno = [400, 450]
trigger3 = MoveContact
trigger4 = Stateno = [150, 153]
trigger4 = Var(3) = 0
trigger4 = Power >= 400

;---------------------------------------------------------------------------
; Rolling Attack
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Normal/Rage
;---------------------------------------------------------------------------
; Weak Rolling Attack
[State -1, Weak Rolling Attack]
type = ChangeState
value = 1100
triggerall = command = "Weak Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) != 2
triggerall = Var(6) = 0
triggerall = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 300

;---------------------------------------------------------------------------
; Medium Rolling Attack
[State -1, Medium Rolling Attack]
type = ChangeState
value = 1110
triggerall = command = "Medium Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 350

;---------------------------------------------------------------------------
; Strong Rolling Attack
[State -1, Strong Rolling Attack]
type = ChangeState
value = 1120
triggerall = command = "Strong Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) != 2
triggerall = Var(6) = 0
triggerall = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 400

;---------------------------------------------------------------------------
; Weak Air Rolling Attack
[State -1, Weak Air Rolling Attack]
type = ChangeState
value = 1130
triggerall = command = "Weak Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) != 2
triggerall = Var(6) = 0
triggerall = StateType = A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [600, 650]
trigger3 = MoveContact = 1
trigger3 = Stateno = [800, 850]
trigger4 = Var(10) != 0
trigger4 = Stateno = [600, 850]
trigger5 = Var(10) != 0
trigger5 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322
trigger6 = Var(10) != 0
trigger6 = Stateno = [1100, 1350]
trigger6 = MoveContact
trigger7 = Stateno = [150, 155]
trigger7 = Var(3) = 0
trigger7 = Power >= 300

;---------------------------------------------------------------------------
; Medium Air Rolling Attack
[State -1, Medium Air Rolling Attack]
type = ChangeState
value = 1140
triggerall = command = "Medium Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = StateType = A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [600, 650]
trigger3 = MoveContact = 1
trigger3 = Stateno = [800, 850]
trigger4 = Var(10) != 0
trigger4 = Stateno = [600, 850]
trigger5 = Var(10) != 0
trigger5 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322
trigger6 = Var(10) != 0
trigger6 = Stateno = [1100, 1350]
trigger6 = MoveContact
trigger7 = Stateno = [150, 155]
trigger7 = Var(3) = 0
trigger7 = Power >= 350

;---------------------------------------------------------------------------
; Strong Air Rolling Attack
[State -1, Strong Air Rolling Attack]
type = ChangeState
value = 1150
triggerall = command = "Strong Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) != 2
triggerall = Var(6) = 0
triggerall = StateType = A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [600, 650]
trigger3 = MoveContact = 1
trigger3 = Stateno = [800, 850]
trigger4 = Var(10) != 0
trigger4 = Stateno = [600, 850]
trigger5 = Var(10) != 0
trigger5 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322
trigger6 = Var(10) != 0
trigger6 = Stateno = [1100, 1350]
trigger6 = MoveContact
trigger7 = Stateno = [150, 155]
trigger7 = Var(3) = 0
trigger7 = Power >= 400

;---------------------------------------------------------------------------
; Raiden
;---------------------------------------------------------------------------
; Weak Rolling Attack
[State -1, Weak Rolling Attack]
type = ChangeState
value = 1101
triggerall = command = "Weak Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
triggerall = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]

;---------------------------------------------------------------------------
; Strong Rolling Attack
[State -1, Strong Rolling Attack]
type = ChangeState
value = 1121
triggerall = command = "Strong Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
triggerall = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]

;---------------------------------------------------------------------------
; Weak Air Rolling Attack
[State -1, Weak Air Rolling Attack]
type = ChangeState
value = 1131
triggerall = command = "Weak Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
triggerall = StateType = A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [600, 650]
trigger3 = MoveContact = 1
trigger3 = Stateno = [800, 850]

;---------------------------------------------------------------------------
; Strong Air Rolling Attack
[State -1, Strong Air Rolling Attack]
type = ChangeState
value = 1151
triggerall = command = "Strong Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
triggerall = StateType = A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [600, 650]
trigger3 = MoveContact = 1
trigger3 = Stateno = [800, 850]

;---------------------------------------------------------------------------
; Backstep Rolling Attack
;---------------------------------------------------------------------------
; Weak Backstep Rolling Attack
[State -1, Weak Backstep Rolling Attack]
type = ChangeState
value = 1200
triggerall = command = "Weak Backstep Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 300

;---------------------------------------------------------------------------
; Medium Backstep Rolling Attack
[State -1, Medium Backstep Rolling Attack]
type = ChangeState
value = 1210
triggerall = command = "Medium Backstep Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 350

;---------------------------------------------------------------------------
; Strong Backstep Rolling Attack
[State -1, Strong Backstep Rolling Attack]
type = ChangeState
value = 1220
triggerall = command = "Strong Backstep Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 400

;---------------------------------------------------------------------------
; Weak Vertical Rolling Attack
[State -1, Weak Vertical Rolling Attack]
type = ChangeState
value = 1300
triggerall = command = "Weak Vertical Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 300

;---------------------------------------------------------------------------
; Medium Vertical Rolling Attack
[State -1, Medium Vertical Rolling Attack]
type = ChangeState
value = 1310
triggerall = command = "Medium Vertical Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 350

;---------------------------------------------------------------------------
; Strong Vertical Rolling Attack
[State -1, Strong Vertical Rolling Attack]
type = ChangeState
value = 1320
triggerall = command = "Strong Vertical Rolling Attack"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]
trigger5 = Stateno = [150, 153]
trigger5 = Var(3) = 0
trigger5 = Power >= 400

;---------------------------------------------------------------------------
; Weak Denei Grab
[State -1, Weak Denei Grab]
type = ChangeState
value = 1400
triggerall = command = "Weak Denei Grab"
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]

;---------------------------------------------------------------------------
; Medium Denei Grab
[State -1, Medium Denei Grab]
type = ChangeState
value = 1410
triggerall = command = "Medium Denei Grab"
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]

;---------------------------------------------------------------------------
; Strong Denei Grab
[State -1, Strong Denei Grab]
type = ChangeState
value = 1420
triggerall = command = "Strong Denei Grab"
triggerall = Var(1) = 0
triggerall = Var(3) = 2
triggerall = Var(6) = 0
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 450]

;===========================================================================
;---------------------------------------------------------------------------
; Run Back
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = command = "holdback"
trigger1 = command = "Runb"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = command != "holdback"
trigger1 = command = "Runf"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Surprise Backward
[State -1, Surprise Backward]
type = ChangeState
value = 1510
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = command = "holdback"
triggerall = command = "Surprise Fwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = Stateno = [150, 153]
trigger2 = Var(3) = 0
trigger2 = Power >= 300

;---------------------------------------------------------------------------
; Surprise Foward
[State -1, Surprise Foward]
type = ChangeState
value = 1500
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall = command = "Surprise Fwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = Stateno = [150, 153]
trigger2 = Var(3) = 0
trigger2 = Power >= 300

;---------------------------------------------------------------------------
; Stand Throw 1
[State -1, Stand Throw 1]
type = ChangeState
value = 900
triggerall = command = "Throw 1"
triggerall = statetype != A
triggerall = Var(1) = 0
trigger1 = ctrl
trigger2 = Var(10) != 0
trigger2 = Stateno = [200, 450]

;---------------------------------------------------------------------------
; Stand Throw 2
[State -1, Stand Throw 2]
type = ChangeState
value = 901
triggerall = command = "Throw 2"
triggerall = statetype != A
triggerall = Var(1) = 0
trigger1 = ctrl
trigger2 = Var(10) != 0
trigger2 = Stateno = [200, 450]

;---------------------------------------------------------------------------
; Air Throw 1
[State -1, Air Throw 1]
type = ChangeState
value = 905
triggerall = command = "Throw 1"
triggerall = statetype = A
triggerall = Var(1) = 0
trigger1 = ctrl
trigger2 = Var(10) != 0
trigger2 = Stateno = [600, 850]
trigger3 = Var(10) != 0
trigger3 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322
trigger4 = Var(10) != 0
trigger4 = Stateno = [1100, 1350]
trigger4 = MoveContact

;---------------------------------------------------------------------------
; Air Throw 2
[State -1, Air Throw 2]
type = ChangeState
value = 906
triggerall = command = "Throw 2"
triggerall = statetype = A
triggerall = Var(1) = 0
trigger1 = ctrl
trigger2 = Var(10) != 0
trigger2 = Stateno = [600, 850]
trigger3 = Var(10) != 0
trigger3 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322
trigger4 = Var(10) != 0
trigger4 = Stateno = [1100, 1350]
trigger4 = MoveContact

;---------------------------------------------------------------------------
; V-ISM - Mode 1 - Floor
[State -1, V-ISM - Mode 1]
type = ChangeState
value = 3500
triggerall = Var(6) = 0
triggerall = Var(3) = 1
triggerall = Var(1) = 0
triggerall = statetype != A
trigger1 = command = "taunt"
trigger1 = Var(10) = 0
trigger1 = ctrl
trigger2 = command = "taunt"
trigger2 = Var(10) = 0
trigger2 = StateNo = [200, 450]
trigger2 = MoveContact

;---------------------------------------------------------------------------
; V-ISM - Mode 1 - Air
[State -1, V-ISM - Mode 1]
type = ChangeState
value = 3510
triggerall = command = "taunt"
triggerall = Var(6) = 0
triggerall = Var(3) = 1
triggerall = Var(1) = 0
triggerall = statetype = A
trigger1 = Var(10) != 1
trigger1 = ctrl
trigger2 = Var(10) != 1
trigger2 = StateNo = [600, 850]
trigger2 = MoveContact

;---------------------------------------------------------------------------
;Super Jump
[State -1, Super Jump]
type = ChangeState
value = 60
triggerall = command = "Super Jump"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------

;Taunt
[State -1, Taunt]
type = ChangeState
value = 192
triggerall = command = "taunt"
triggerall = Var(6) = 0
triggerall = Var(3) != 1
triggerall = Var(1) = 0
trigger1 = statetype != A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
;Stand Close Light Punch
[State -1, Stand Close Light Punch]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = P2BodyDist x <= 30
triggerall = command != "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 205
trigger2 = time >= 5
trigger3 = Var(10) != 0
trigger3 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Stand Light Punch
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = Var(10) != 0
trigger2 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Stand Close Medium Punch
[State -1, Stand Close Medium Punch]
type = ChangeState
value = 225
triggerall = command != "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = command = "fy"
trigger1 = Var(3) != 1
trigger1 = P2BodyDist X <= 60
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = "fy"
trigger2 = Var(3) != 1
trigger2 = P2BodyDist X <= 60
trigger2 = MoveContact = 1
trigger2 = stateno = [200, 210]
trigger3 = command = "fy"
trigger3 = Var(3) != 1
trigger3 = P2BodyDist X <= 60
trigger3 = MoveContact = 1
trigger3 = stateno = [400, 410]
trigger4 = command = "y"
trigger4 = Var(3) = 1
trigger4 = statetype = S
trigger4 = ctrl = 1
trigger5 = command = "y"
trigger5 = Var(3) = 1
trigger5 = MoveContact = 1
trigger5 = stateno = [200, 210]
trigger6 = command = "y"
trigger6 = Var(3) = 1
trigger6 = MoveContact = 1
trigger6 = stateno = [400, 410]
trigger7 = command = "y"
trigger7 = Var(10) != 0
trigger7 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Stand Medium Punch
[State -1, Stand Medium Punch]
type = ChangeState
value = 220
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = Var(3) != 1
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 210]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 410]

;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 240
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 230]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 430]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Stand Close Light Kick
[State -1, Stand Close Light Kick]
type = ChangeState
value = 215
triggerall = command = "fa"
triggerall = command != "holddown"
triggerall = P2BodyDist X <= 30
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 205]
trigger3 = MoveContact = 1
trigger3 = Stateno = 400
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 210
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 205]
trigger3 = MoveContact = 1
trigger3 = Stateno = 400
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Stand Close Medium Kick
[State -1, Stand Close Medium Kick]
type = ChangeState
value = 235
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = Var(3) != 1
trigger1 = P2BodyDist X <= 30
trigger1 = command = "fb"
trigger1 = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = Var(3) != 1
trigger2 = P2BodyDist X <= 30
trigger2 = command = "fb"
trigger2 = command != "holddown"
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 220]
trigger2 = Stateno != 215
trigger3 = Var(3) != 1
trigger3 = P2BodyDist X <= 30
trigger3 = command = "fb"
trigger3 = command != "holddown"
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 420]
trigger4 = Var(3) = 1
trigger4 = command = "b"
trigger4 = command != "holddown"
trigger4 = statetype = S
trigger4 = ctrl
trigger5 = Var(3) = 1
trigger5 = command = "b"
trigger5 = command != "holddown"
trigger5 = MoveContact = 1
trigger5 = Stateno = [200, 220]
trigger5 = Stateno != 215
trigger6 = Var(3) = 1
trigger6 = command = "b"
trigger6 = command != "holddown"
trigger6 = MoveContact = 1
trigger6 = Stateno = [400, 420]
trigger7 = command = "b"
trigger7 = command != "holddown"
trigger7 = Var(10) != 0
trigger7 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Standing Medium Kick
[State -1, Standing Medium Kick]
type = ChangeState
value = 230
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = Var(3) != 1
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 220]
trigger2 = Stateno != 215
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 420]

;---------------------------------------------------------------------------
;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 240]
trigger2 = Stateno != 215
trigger2 = Stateno != 235
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 440]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = Var(10) != 0
trigger2 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Crouching Medium Punch
[State -1, Crouching Medium Punch]
type = ChangeState
value = 420
triggerall = command = "y"
triggerall = command = "holddown"
;triggerall = Var(3) != 1
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 210]
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 410]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
; Rage Blanka - Strong Crouch Punch
[State -1, Amazon River]
type = ChangeState
value = 445
triggerall = command = "z"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = Var(3) = 1
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 230]
trigger2 = Stateno != 215
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 430]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Amazon River
[State -1, Amazon River]
type = ChangeState
value = 445
triggerall = command = "Amazon River"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
triggerall = Var(3) != 1
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 230]
trigger2 = Stateno != 215
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 430]

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 440
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = Var(3) != 1
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 230]
trigger2 = Stateno != 215
trigger2 = Stateno != 225
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 430]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 410
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = [200, 205]
trigger2 = movecontact = 1
trigger3 = stateno = 400
trigger3 = movecontact = 1
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Crouching Medium Kick
[State -1, Crouching Medium Kick]
type = ChangeState
value = 430
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 220]
trigger2 = Stateno != 215
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 420]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = MoveContact = 1
trigger2 = Stateno = [200, 240]
trigger2 = Stateno != 215
trigger2 = Stateno != 225
trigger3 = MoveContact = 1
trigger3 = Stateno = [400, 440]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

;---------------------------------------------------------------------------
;Normal Jump Light Punch
[State -1, Normal Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = Stateno != 61
triggerall = Stateno != [800, 850]
triggerall = Var(1) = 0
triggerall = Var(6) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = Var(10) != 0
trigger2 = Stateno = [600, 650]

;---------------------------------------------------------------------------
;Normal Jump Medium Punch
[State -1, Normal Jump Medium Punch]
type = ChangeState
value = 620
triggerall = command = "y"
triggerall = Stateno != 61
triggerall = Stateno != [800, 850]
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600, 610]
trigger2 = movecontact = 1
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = Var(10) != 0
trigger4 = Stateno = [600, 650]

;---------------------------------------------------------------------------
;Normal Jump Foward/Backward Strong Punch
[State -1, Normal Jump Foward/Backward Strong Punch]
type = ChangeState
value = 645
triggerall = command = "z"
triggerall = Vel X != 0
triggerall = Stateno != 61
triggerall = Stateno != [800, 850]
triggerall = Var(1) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600, 630]
trigger2 = movecontact
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = stateno = 225
trigger4 = movecontact = 1
trigger5 = Var(10) != 0
trigger5 = Stateno = [600, 650]

;---------------------------------------------------------------------------
;Normal Jump Up Strong Punch
[State -1, Normal Jump Up Strong Punch]
type = ChangeState
value = 640
triggerall = command = "z"
triggerall = Vel X = 0
triggerall = Stateno != 61
triggerall = Stateno != [800, 850]
triggerall = Var(1) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600, 630]
trigger2 = movecontact
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = stateno = 225
trigger4 = movecontact = 1
trigger5 = Var(10) != 0
trigger5 = Stateno = [600, 650]

;---------------------------------------------------------------------------
;Normal Jump Light Kick
[State -1, Normal Jump Light Kick]
type = ChangeState
value = 610
triggerall = command = "a"
triggerall = Stateno != 61
triggerall = Stateno != [800, 850]
triggerall = Var(1) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact = 1
trigger3 = Var(10) != 0
trigger3 = Stateno = [600, 650]

;---------------------------------------------------------------------------
;Normal Jump Medium Kick
[State -1, Normal Jump Medium Kick]
type = ChangeState
value = 630
triggerall = command = "b"
triggerall = Stateno != 61
triggerall = Stateno != [800, 850]
triggerall = Var(1) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600, 620]
trigger2 = movecontact
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = Var(10) != 0
trigger4 = Stateno = [600, 650]

;---------------------------------------------------------------------------
;Normal Jump Strong Kick
[State -1, Normal Jump Strong Kick]
type = ChangeState
value = 650
triggerall = command = "c"
triggerall = Stateno != 61
triggerall = Stateno != [800, 850]
triggerall = Var(1) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600, 640]
trigger2 = movecontact
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = stateno = 225
trigger4 = movecontact = 1
trigger5 = Var(10) != 0
trigger5 = Stateno = [600, 650]

;---------------------------------------------------------------------------
;Super Jump Light Punch
[State -1, Super Jump Light Punch]
type = ChangeState
value = 800
triggerall = command = "x"
trigger1 = Stateno = 61
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = Stateno = [800, 850]
trigger2 = statetype = A
trigger2 = ctrl
trigger3 = Var(10) != 0
trigger3 = Stateno = [800, 850]
trigger4 = Var(10) != 0
trigger4 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322

;---------------------------------------------------------------------------
;Super Jump Medium Punch
[State -1, Super Jump Medium Punch]
type = ChangeState
value = 820
triggerall = command = "y"
trigger1 = Stateno = 61
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [800, 810]
trigger2 = movecontact = 1
trigger3 = Stateno = [800, 850]
trigger3 = statetype = A
trigger3 = ctrl
trigger4 = Var(10) != 0
trigger4 = Stateno = [800, 850]
trigger5 = Var(10) != 0
trigger5 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322

;---------------------------------------------------------------------------
;Super Jump Back/Foward Strong Punch
[State -1, Super Jump Back/Foward Strong Punch]
type = ChangeState
value = 845
triggerall = command = "z"
triggerall = Vel X != 0
trigger1 = Stateno = [800, 850]
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [800, 830]
trigger2 = movecontact
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = Stateno = 61
trigger4 = statetype = A
trigger4 = ctrl
trigger5 = Var(10) != 0
trigger5 = Stateno = [800, 850]
trigger6 = Var(10) != 0
trigger6 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322

;---------------------------------------------------------------------------
;Super Jump Up Strong Punch
[State -1, Super Jump Up Strong Punch]
type = ChangeState
value = 840
triggerall = command = "z"
triggerall = Vel X = 0
trigger1 = Stateno = [800, 850]
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [800, 830]
trigger2 = movecontact
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = Stateno = 61
trigger4 = statetype = A
trigger4 = ctrl
trigger5 = Var(10) != 0
trigger5 = Stateno = [800, 850]
trigger6 = Var(10) != 0
trigger6 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322

;---------------------------------------------------------------------------
;Super Jump Light Kick
[State -1, Super Jump Light Kick]
type = ChangeState
value = 810
triggerall = command = "a"
trigger1 = Stateno = [800, 850]
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 800
trigger2 = movecontact = 1
trigger3 = Stateno = 61
trigger3 = statetype = A
trigger3 = ctrl
trigger4 = Var(10) != 0
trigger4 = Stateno = [800, 850]
trigger5 = Var(10) != 0
trigger5 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322

;---------------------------------------------------------------------------
;Super Jump Medium Kick
[State -1, Super Jump Medium Kick]
type = ChangeState
value = 830
triggerall = command = "b"
trigger1 = Stateno = [800, 850]
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [800, 820]
trigger2 = movecontact = 1
trigger3 = Stateno = 61
trigger3 = statetype = A
trigger3 = ctrl
trigger4 = Var(10) != 0
trigger4 = Stateno = [800, 850]
trigger5 = Var(10) != 0
trigger5 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322

;---------------------------------------------------------------------------
;Super Jump Strong Kick
[State -1, Super Jump Strong Kick]
type = ChangeState
value = 850
triggerall = command = "c"
trigger1 = Stateno = [800, 850]
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [800, 840]
trigger2 = movecontact = 1
trigger3 = Stateno = 61
trigger3 = statetype = A
trigger3 = ctrl
trigger4 = Var(10) != 0
trigger4 = Stateno = [800, 850]
trigger5 = Var(10) != 0
trigger5 = Stateno = 1105 || Stateno = 1115 || Stateno = 1125 || Stateno = 1203 || Stateno = 1213 || Stateno = 1223 || Stateno = 1302 || Stateno = 1312 || Stateno = 1322

;---------------------------------------------------------------------------

